/* $Id: AttributeDelegate.java,v 1.1 2007/11/13 06:58:25 nito Exp $
 *
 * Copyright (c)ARGO 21, Corporation. 2007.  All rights reserved.
 */
package jp.co.argo21.nautica.workflow.ta;

import jp.co.argo21.nautica.workflow.wfmc.Attribute;

public class AttributeDelegate implements Attribute
{
	private static final long serialVersionUID = 1L;

	private int type;
	
	private String name;
	
	private String value;

	public AttributeDelegate(int type, String name)
	{
		super();
		this.type = type;
		this.name = name;
	}

	public AttributeDelegate(int type, String name, String value)
	{
		this(type, name);
		setValue(value);
	}

	@Override
	public int getType()
	{
		return type;
	}

	@Override
	public String getName()
	{
		return name;
	}

	@Override
	public String getValue()
	{
		return value;
	}

	@Override
	public void setValue(String value)
	{
		this.value = value;
	}
}
